OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.TextureArray

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetEXTTextureArray :: MonadIO m => m Bool
- gl_EXT_texture_array :: Bool
- pattern GL_COMPARE_REF_DEPTH_TO_TEXTURE_EXT :: GLenum
- pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT :: GLenum
- pattern GL_MAX_ARRAY_TEXTURE_LAYERS_EXT :: GLenum
- pattern GL_PROXY_TEXTURE_1D_ARRAY_EXT :: GLenum
- pattern GL_PROXY_TEXTURE_2D_ARRAY_EXT :: GLenum
- pattern GL_TEXTURE_1D_ARRAY_EXT :: GLenum
- pattern GL_TEXTURE_2D_ARRAY_EXT :: GLenum
- pattern GL_TEXTURE_BINDING_1D_ARRAY_EXT :: GLenum
- pattern GL_TEXTURE_BINDING_2D_ARRAY_EXT :: GLenum
- glFramebufferTextureLayerEXT :: MonadIO m => GLenum -> GLenum -> GLuint -> GLint -> GLint -> m ()

# Extension Support

glGetEXTTextureArray :: MonadIO m => m Bool Source #

Is the EXT_texture_array extension supported?

gl_EXT_texture_array :: Bool Source #

Is the EXT_texture_array extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTTextureArray` in those cases instead.

# Enums

pattern GL_COMPARE_REF_DEPTH_TO_TEXTURE_EXT :: GLenum Source #

pattern GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_EXT :: GLenum Source #

pattern GL_MAX_ARRAY_TEXTURE_LAYERS_EXT :: GLenum Source #

pattern GL_PROXY_TEXTURE_1D_ARRAY_EXT :: GLenum Source #

pattern GL_PROXY_TEXTURE_2D_ARRAY_EXT :: GLenum Source #

pattern GL_TEXTURE_1D_ARRAY_EXT :: GLenum Source #

pattern GL_TEXTURE_2D_ARRAY_EXT :: GLenum Source #

pattern GL_TEXTURE_BINDING_1D_ARRAY_EXT :: GLenum Source #

pattern GL_TEXTURE_BINDING_2D_ARRAY_EXT :: GLenum Source #

# Functions

glFramebufferTextureLayerEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type FramebufferTarget.
-> GLenum | `attachment` of type FramebufferAttachment.
-> GLuint | `texture` of type `Texture`.
-> GLint | `level` of type `CheckedInt32`.
-> GLint | `layer` of type `CheckedInt32`.
-> m () |

This command is an alias for `glFramebufferTextureLayer`.